// The CADDalog Maker! for AutoCAD R12 and R13
// SHAREWARE V2.41
// (c) Copyright 1995 Sheldon's Computer Design
// By Sheldon's Computer Design
// 10121 Evergreen Way, Suite 341
// Everett, WA.  98204

SCD_MAIN : dialog {
    label = "The CADDalog Maker!";
    :boxed_column {
        :button {
            key = "catalogblocks";
            label = "Catalog Blocks";
            is_default = true;
            width = 25;
            fixed_width = true;
            alignment = centered;
        }
        :button {
            key = "scdutilities";
            label = "Remove ICON Menus";
            is_default = false;
            width = 25;
            fixed_width = true;
            alignment = centered;
        }
        :button {
            key = "auditmnu";
            label = "Audit A Menu File";
            is_default = false;
            width = 25;
            fixed_width = true;
            alignment = centered;
        }
        :button {
            key = "showhelpmenus";
            label = "Turn On Help Menus";
            is_default = false;
            width = 25;
            fixed_width = true;
            alignment = centered;
        }
        :button {
            key = "cancel";
            label = "Cancel";
            is_default = false;
            width = 25;
            fixed_width = true;
            alignment = centered;
        }
    }
}

SCD_MENU_BOX : dialog {
    label = " Delete Menus ";
    : boxed_column {
        :list_box {
            key = "delmenubox";
            label = " Select Menus: ";
            multiple_select = true;
        }
    }
    spacer;
    ok_cancel;
}


YES_NO : dialog {
    label = "WARNING!";
    : boxed_row {
        :paragraph {
            : text_part {
                label = " File Exists!  Overwrite File? ";
            }
        }
    }
    spacer;
    spacer;
    ok_cancel;
}


CATMAKE : dialog {
    label = "The CADDalog Maker!";
    initial_focus = "savepages";
    : boxed_row {
        : paragraph {
            : text_part {
                label = " IMPORTANT!";
            }
            : text_part {
                label = "   See The CADDalog Maker! Manual for Instructions";
            }
        }
    }
    spacer;
    : row {
      : column {
        : boxed_row {
            label = "Drawings Per Sheet:";
            : radio_row {
                : radio_button {
                    is_enabled = false;
                    label = "1";
                    mnenomic = "1";
                    key = "single";
                    value = "0";
                }
                : radio_button {
                    is_enabled = false;
                    label = "9";
                    mnenomic = "9";
                    key = "nine";
                    value = "1";
                }
                : radio_button {
                    is_enabled = false;
                    label = "30";
                    mnenomic = "3";
                    key = "thirty";
                    value = "0";
                }
                : radio_button {
                    is_enabled = false;
                    label = "154";
                    mnenomic = "5";
                    key = "onefivefour";
                    value = "0";
                }
            }
        }
        : boxed_row {
            label = "Rotation (1 sheet):";
            : radio_row {
                : radio_button {
                    is_enabled = false;
                    label = "0";
                    key = "rotzero";
                    value = "1";
                }
                : radio_button {
                    is_enabled = false;
                    label = "90";
                    key = "rotninety";
                    value = "0";
                }
            }
        }
      }
        : boxed_column {
            label = "Options:";
            : toggle {
                label = "Create 8\"x11\" Pages";
                mnenomic = "P";
                key = "savepages";
                value = "0";
            }
            : toggle {
                label = "Create/Modify ICON Menu";
                mnenomic = "C";
                key = "iconmenu";
                value = "0";
            }
            : toggle {
                is_enabled = false;
                label = "\"X\" At Insertion Point";
                mnenomic = "I";
                key = "redxpoint";
                value = "0";
            }
            : toggle {
                is_enabled = false;
                label = "Draw 8\"x11\" \"Cutline\"";
                mnenomic = "D";
                key = "draw8x11";
                value = "0";
            }
            : toggle {
                is_enabled = false;
                label = "Automatic File Overwrite";
                mnenomic = "A";
                key = "autowrite";
                value = "0";
            }
        }
    }
    spacer;
    : row {
        : edit_box {
            is_enabled = false;
            label = "Filename Start Number:";
            mnenomic = "F";
            key = "fstartnum";
            value = "1";
        }
    }
    spacer;
    : row {
        : edit_box {
            is_enabled = false;
            label = "Title:";
            mnenomic = "T";
            key = "dwgtitle";
            value = "The CADDalog Maker! (tm)";
        }
    }
    ok_cancel_err;
}

MSGWARNING : dialog {
    label = "WARNING!";
    : boxed_row {
        :paragraph {
            : text_part {
                label = " The CADDalog Maker! Is About To Erase ALL ";
            }
            : text_part {
                label = " Entities In The Current Drawing! ";
            }
            : text_part {
                label = " ---------------------------------------------- ";
            }
            : text_part {
                label = " ALSO, The AutoCAD Undo Command Will Be DISABLED ";
            }
            : text_part {
                label = " Making It IMPOSSIBLE To Undo The Erase! ";
            }
            : text_part {
                label = " ---------------------------------------------- ";
            }
            : text_part {
                label = " Are You Sure You Wish To Continue? ";
            }
        }
    }
    spacer;
    spacer;
    ok_cancel;
}

MSGDIA1 : dialog {
    label = "The CADDalog Maker! (tm)";
    : boxed_row {
        label = "Shareware Evaluation Version 2.41";
        : paragraph {
            : text_part {
                label = " Thank You For Trying This Evaluation Version ";
            }
            : text_part {
                label = " Print INSTRUCS.TXT for Complete Instructions! ";
            }
            : text_part {
                label = " --------------------------------------------- ";
            }
            : text_part {
                label = " IMPORTANT! Backup ALL Of Your *.MNU Files! ";
            }
            : text_part {
                label = " The Program Modifies The *.MNU File You Choose. ";
            }
            : text_part {
                label = " For Safety, Be Sure To Backup FIRST! ";
            }
        }
    }
    : toggle {
        label = "Do Not Show Help Menus Again";
        key = "helpdia2";
        value = "0";
    }
    spacer;
    spacer;
    ok_cancel;
}

MSGDIA2 : dialog {
    label = "The CADDalog Maker (tm)";
    : boxed_row {
        label = "Choosing Your Options";
        : paragraph {
            : text_part {
                label = " The Following Dialog Box Is The Main Menu ";
            }
            : text_part {
                label = " Select \"Create 8\" X 11\" Pages\" To Create DWG ";
            }
            : text_part {
                label = " Files Containing The DWG Files From A Directory ";
            }
            : text_part {
                label = " That You Will Select In A Subsequent Dialog Box. ";
            }
            : text_part {
                label = " ---------------------------------------- ---------- ";
            }
            : text_part {
                label = " Select \"Create/Modify ICON Menu\" To Create An ";
            }
            : text_part {
                label = " ICON Menu In The *.MNU File Of Your Choosing. ";
            }
        }
    }
    : toggle {
        label = "Do Not Show Help Menus Again";
        key = "helpdia2";
        value = "0";
    }
    spacer;
    spacer;
    ok_cancel;
}

MSGDIA3 : dialog {
    label = "The CADDalog Maker!";
    : boxed_row {
        label = "Choosing Your Blocks Directory";
        : paragraph {
            : text_part {
                label = " The Following Dialog Box Selects The Location Of ";
            }
            : text_part {
                label = " Your DWG Block Files. ";
            }
            : text_part {
                label = " --------------------------------------------------- ";
            }
            : text_part {
                label = " IMPORTANT!  This Is A Two Step Process: ";
            }
            : text_part {
                label = " 1. Select The Desired Directory By Double Clicking ";
            }
            : text_part {
                label = "    In The Directory Fields Until You Are In The ";
            }
            : text_part {
                label = "    Desired Directory.";
            }
            : text_part {
                label = " 2. Type A FILENAME On Line Labeled \"Filename\". ";
            }
            : text_part {
                label = "    This FILENAME May Be Any Name Of Your Choosing. ";
            }
            : text_part {
                label = " --------------------------------------------------- ";
            }
            : text_part {
                label = " NOTE:  The Program Uses This File For Two Things: ";
            }
            : text_part {
                label = " 1. A Listing Of All The DWG Files In The Directory. ";
            }
            : text_part {
                label = " 2. This Will Be The Name Of The ICON Menu If You ";
            }
            : text_part {
                label = "    Are Creating One. ";
            }
        }
    }
    : toggle {
        label = "Do Not Show Help Menus Again";
        key = "helpdia2";
        value = "0";
    }
    spacer;
    spacer;
    ok_cancel;
}

MSGDIA4 : dialog {
    label = "The CADDalog Maker (tm)";
    : boxed_row {
        label = "Modifying The MNU File";
        : paragraph {
            : text_part {
                label = " The Following Dialog Box Selects The Location Of ";
            }
            : text_part {
                label = " The Menu (MNU) File You Wish To Add ICONS To. ";
            }
            : text_part {
                label = " -------------------------------------------------- ";
            }
            : text_part {
                label = " 1. Select The Desired Directory By Double Clicking ";
            }
            : text_part {
                label = "    In The Directory Fields Until You Are In The ";
            }
            : text_part {
                label = "    Desired Directory.";
            }
            : text_part {
                label = " 2. Type A FILENAME On Line Labeled \"Filename\". ";
            }
            : text_part {
                label = "    Or Select The FILENAME From The Listing. ";
            }
            : text_part {
                label = " -------------------------------------------------- ";
            }
            : text_part {
                label = " NOTE:  The Program Always Creates A Backup Of The ";
            }
            : text_part {
                label = "    MNU File In A Subdirectory Of CADDALOG Called ";
            }
            : text_part {
                label = "    MNUBACKS.  I.E. C:\\CADDALOG\\MNUBACKS. ";
            }
        }
    }
    : toggle {
        label = "Do Not Show Help Menus Again";
        key = "helpdia2";
        value = "0";
    }
    spacer;
    spacer;
    ok_cancel;
}

MSGDIA5 : dialog {
    label = "The CADDalog Maker (tm)";
    : boxed_row {
        label = "Creating 8\" X 11\" Pages";
        : paragraph {
            : text_part {
                label = " The Following Dialog Box Selects The Location Of ";
            }
            : text_part {
                label = " The DWG Files That Will Be The 8\" X 11\" Pages. ";
            }
            : text_part {
                label = " --------------------------------------------------- ";
            }
            : text_part {
                label = " 1. Select The Desired Directory By Double Clicking ";
            }
            : text_part {
                label = "    In The Directory Fields Until You Are In The ";
            }
            : text_part {
                label = "    Desired Directory.";
            }
            : text_part {
                label = " 2. Type A FILENAME On The Line Labeled \"Filename\" ";
            }
            : text_part {
                label = " --------------------------------------------------- ";
            }
            : text_part {
                label = " NOTE:  You Are Limited To Only 4 Characters. ";
            }
            : text_part {
                label = "        The Reason For This Is The Program Will Add ";
            }
            : text_part {
                label = "        Page Numbers To Multiple Pages. ";
            }
            : text_part {
                label = "        I.E. NAME1.DWG, NAME2.DWG, etc. ";
            }
        }
    }
    : toggle {
        label = "Do Not Show Help Menus Again";
        key = "helpdia2";
        value = "0";
    }
    spacer;
    spacer;
    ok_cancel;
}

MSGDIA6 : dialog {
    label = "The CADDalog Maker (tm)";
    : boxed_row {
        label = "Thank You!";
        : paragraph {
            : text_part {
                label = " This SHAREWARE Version Of The CADDalog Maker! ";
            }
            : text_part {
                label = " Was Intented For Evaluation And Advertising. ";
            }
            : text_part {
                label = " ----------------------------------------------- ";
            }
            : text_part {
                label = " The Registered Version Does Not Stop Here! ";
            }
            : text_part {
                label = " 1.  All Page Layout Options Are Available! ";
            }
            : text_part {
                label = " 2.  The ICON Menus Do Not Contain Blanks! ";
            }
            : text_part {
                label = " 3.  You Can Catalog As Many Files As Are In A ";
            }
            : text_part {
                label = "     Directory! ";
            }
            : text_part {
                label = " 4.  You Can Turn Off Those Annoying Help Menus! ";
            }
            : text_part {
                label = " ----------------------------------------------- ";
            }
            : text_part {
                label = " To Register: ";
            }
            : text_part {
                label = " 1.  On Compuserve (GO SWREG).  Find Files By ";
            }
            : text_part {
                label = "     Author's ID #75112,1554. ";
            }
            : text_part {
                label = " 2.  Call 1-206-355-2804 (8am - 5pm) for C.O.D. ";
            }
            : text_part {
                label = " 3.  Print Out ORDER.FRM and Send Check/MO. ";
            }
            : text_part {
                label = " ----------------------------------------------- ";
            }
            : text_part {
                label = " Send Email To: 75112.1554@compuserve.com ";
            }
            : text_part {
                label = " ----------------------------------------------- ";
            }
            : text_part {
                label = " http://ourworld.compuserve.com/homepages/sheldons ";
            }
        }
    }
    : toggle {
        label = "Do Not Show Help Menus Again";
        key = "helpdia2";
        value = "0";
    }
    spacer;
    spacer;
    ok_cancel;
}

MSGDIA7 : dialog {
    label = "The CADDalog Maker (tm)";
    : boxed_row {
        label = "Disabled Feature!";
        : paragraph {
            : text_part {
                label = " This Feature Has Been Disabled In The Shareware ";
            }
            : text_part {
                label = " Version.  Please See The README.TXT File For ";
            }
            : text_part {
                label = " Registering Information. ";
            }
        }
    }
    spacer;
    spacer;
    ok_button;
}

MSGDIA8 : dialog {
    label = "The CADDalog Maker (tm)";
    : boxed_row {
        label = "Auditing A MNU File";
        : paragraph {
            : text_part {
                label = " If You Have Any Menus Created With Any Version ";
            }
            : text_part {
                label = " Of The CADDalog Maker! Prior To Version 2.40 ";
            }
            : text_part {
                label = " And You Are Using AutoCAD For Windows, You Need ";
            }
            : text_part {
                label = " To Run This Audit In Order To Fix A Syntax Error ";
            }
            : text_part {
                label = " That Prevented The ICON Menu From Displaying ";
            }
            : text_part {
                label = " Correctly. ";
            }
        }
    }
    : toggle {
        label = "Do Not Show Help Menus Again";
        key = "helpdia2";
        value = "0";
    }
    spacer;
    spacer;
    ok_cancel;
}

MSGDIA9 : dialog {
    label = "The CADDalog Maker (tm)";
    : boxed_row {
        label = "Removing ICON Menus From A MNU File";
        : paragraph {
            : text_part {
                label = " The Following Dialog Box Selects The Location Of ";
            }
            : text_part {
                label = " The Menu (MNU) File You Wish To Remove ICON Menus ";
            }
            : text_part {
                label = " Previously Created With The CADDalog Maker! ";
            }
            : text_part {
                label = " -------------------------------------------------- ";
            }
            : text_part {
                label = " 1. Select The Desired Directory By Double Clicking ";
            }
            : text_part {
                label = "    In The Directory Fields Until You Are In The ";
            }
            : text_part {
                label = "    Desired Directory.";
            }
            : text_part {
                label = " 2. Type A FILENAME On Line Labeled \"Filename\". ";
            }
            : text_part {
                label = "    Or Select The FILENAME From The Listing. ";
            }
            : text_part {
                label = " 3. Choose From The Listing The Menus You Wish ";
            }
            : text_part {
                label = "    To Remove From The MNU File. ";
            }
        }
    }
    : toggle {
        label = "Do Not Show Help Menus Again";
        key = "helpdia2";
        value = "0";
    }
    spacer;
    spacer;
    ok_cancel;
}
